import { DemensionPagesListInter, DemensionPagesInter } from './../js-pages/types'
import { useRoute } from 'vue-router'
import pagesArr from '@/js-pages'
import dayjs from 'dayjs'




export const $nameByCompanyName = function (company: string | string[], type: string) {
  let name = type
  if (company && company.indexOf('有限合伙') != -1) {
    if (type == '法定代表人') {
      name = '执行事务合伙人'
    } else if (type == '股东信息') {
      name = '合伙人信息'
    } else if (type == '持股比例') {
      name = '出资比例'
    }
  }
  return name
}


//打开图片
export const $openImg = (img: string) => {
  console.log(img)
}
//时间格式化
export const $dateFormat = (date: string) => {
  return dayjs(date).format('YYYY-MM-DD')
}
//跳转企业
export const $goCompany = (companyName: string, companyId: string) => {
  console.log(companyName, companyId)
}

//跳APP内部页面
export const $goInnerPage = (page: string, comopanyName = '', monitorId = '0') => {
  console.log(page, comopanyName, monitorId)
}

//是否是企业
export const $isCompanyClass = (companyId: string) => {
  if (companyId) {
    return 'link'
  }
  return ''
}

//选择匹配的企业维度
export const $getDemension = (routerName?: string) => {
  const route = useRoute()
  const allDemensionArr = [] as DemensionPagesListInter[]
  const demensionArr = (arr: any[]): DemensionPagesInter[] => {
    return arr.reduce((total, item: any) => item.list ? demensionArr(item.list) : allDemensionArr.push(item), [])
  }
  demensionArr(pagesArr)
  console.log("allDemensionArr=",allDemensionArr)
  const selectDemension = allDemensionArr.find(item => (routerName ? `/${routerName}` : route.path) === `/${item.routing}`)
  
  return {
    selectDemension,
    allDemensionArr
  }
}

//跳转外部URL
export const $goOuterUrl = (url: string) => {
  window.open(url)
}
